System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.TextWriter

The class is used to render HTML 4.0 to desktop browsers. The is also the base class for all markup writers in the namespace, including the , , and classes. These classes are used to write the elements, attributes, and style and layout information for different types of markup. In addition, these classes are used by the page and control adapter classes that are associated with each markup language.

In most circumstances, ASP.NET automatically uses the appropriate writer for the requesting device. However, if you create a custom text writer or if you want to specify a particular writer to render a page for a specific device, you must map the writer to the page in the controlAdapters section of the application .browser file.

Writes markup characters and text to an ASP.NET server control output stream. This class provides formatting capabilities that ASP.NET server controls use when rendering markup to clients.

- Constructor

  The overload of the constructor uses the constant when indentation of a line is necessary. It calls the overload to initialize the new instance.

  Initializes a new instance of the class that uses a default tab string.

  The instance that renders the markup content.
  1.0.5000.0
  2.0.0.0
- Constructor

  The overload of the constructor uses when indentation of a line is necessary. It calls the base constructor to initialize the new instance.

  Initializes a new instance of the class with a specified tab string character.

  The that renders the markup content.
  The string to use to render a line indentation.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  Use the overload of the method if the attribute is not one of the values, or if the attribute is not known until run time.

  For an instance of any given markup element, the class maintains a list of attributes for that element. When the method is called, any attributes added by the method are rendered to the opening tag of the element. The list of attributes is then cleared from the object.

  The coding pattern for rendering markup elements is as follows:

  Use the method to add any attributes to the element.

  Use the method.

  Use other methods as needed to render the content found between the element's opening and closing tags.

  Use the method.

  Adds the specified markup attribute and value to the opening tag of the element that the object creates with a subsequent call to the method.

  A string containing the name of the attribute to add. A string containing the value to assign to the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use the overload of the method to render a standard markup attribute.

  For an instance of any given markup element, the class maintains a list of attributes for that element. When the method is called, any attributes that are added by the method are rendered to the opening tag of the element. The list of attributes is then cleared from the .

  The coding pattern for rendering markup elements is as follows:

  Use the method to add any attributes to the element.

  Use the method.

  Use other methods as needed to render the content found between the element's opening and closing tags.

  Use the method.

  Adds the markup attribute and the attribute value to the opening tag of the element that the object creates with a subsequent call to the method.

  An that represents the markup attribute to add to the output stream. A string containing the value to assign to the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Use the overload of the method if the attribute is not one of the values, or if the attribute is not known until run time and encoding is needed.

  For an instance of any given markup element, the class maintains a list of attributes for that element. When the method is called, any attributes added by the method are rendered to the opening tag of the element. The list of attributes is then cleared from the object.

  Use the method with set to true, if the attribute can possibly contain a quotation mark ("), a less than sign (<), or an ampersand (&). The method call will encode the attribute to meet the requirements of the requesting device. You can set to false, if you know that none of these characters will be generated, or if you know that the attribute is already encoded.

  The coding pattern for rendering markup elements is as follows:

  Use the method to add any attributes to the element.

  Use the method.

  Use other methods as needed to render the content found between the element's opening and closing tags.

  Use the method.

  Adds the specified markup attribute and value to the opening tag of the element that the object creates with a subsequent call to the method, with optional encoding.

  A string containing the name of the attribute to add. A string containing the value to assign to the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Use the overload of the method only when inheriting from the class. It enables you to create new and pairs for attributes.

  Adds the specified markup attribute and value, along with an enumeration value, to the opening tag of the element that the object creates with a subsequent call to the method.

  A string containing the name of the attribute to add. A string containing the value to assign to the attribute. An that represents the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Use the overload of the method to render a standard markup attribute, with optional encoding.

  For an instance of any given markup element, the class maintains a list of attributes for that element. When the method is called, any attributes added by the are rendered to the opening tag of the element. The list of attributes is then cleared from the object.

  Use the method with set to true, if the attribute can possibly contain a quotation mark ("), a less than sign (<), or an ampersand (&). The method call will encode the attribute to meet the requirements of the requesting device. You can set to false, if you know that none of these characters will be generated, or if you know that the attribute is already encoded.

  The coding pattern for rendering markup elements is as follows:

  Use the method to add any attributes to the element.

  Use the method.

  Use other methods as needed to render the content found between the element's opening and closing tags.

  Use the method.

  Adds the markup attribute and the attribute value to the opening tag of the element that the object creates with a subsequent call to the method, with optional encoding.

  An that represents the markup attribute to add to the output stream. A string containing the value to assign to the attribute. true to encode the attribute and its value; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use the overload of the method when the style is not a member of the enumeration or is not known until run time.

  The class maintains a list of styles for the markup elements it renders. When the method is called, any styles that are added by the method are rendered to the opening tag of the element. The list of styles is then cleared.

  The coding pattern for rendering markup elements is as follows:

  Use the method to add any style attributes to the element.

  Use the method.

  Use other methods as needed to render the content found between the element opening and closing tags.

  Use the method.

  Adds the specified markup style attribute and the attribute value to the opening markup tag created by a subsequent call to the method.

  A string that contains the style attribute to add. A string that contains the value to assign to the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use the overload of the method when the style is a member of the enumeration and is known before run time.

  The class maintains a list of styles for the markup elements it renders. When the method is called, any styles added by the method are rendered to the opening tag of the element. The list of styles is then cleared.

  The coding pattern for rendering markup elements is as follows:

  Use the method to add any style attributes to the element.

  Use the method.

  Use other methods as needed to render the content found between the element opening and closing tags.

  Use the method.

  Adds the markup style attribute associated with the specified value and the attribute value to the opening markup tag created by a subsequent call to the method.

  An that represents the style attribute to add to the output stream. A string that contains the value to assign to the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Use the overload of the method only when inheriting from the class. It enables you to create new and pairs for attributes.

  Adds the specified markup style attribute and the attribute value, along with an enumeration value, to the opening markup tag created by a subsequent call to the method.

  A string that contains the style attribute to be added. A string that contains the value to assign to the attribute. An that represents the style attribute to add. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  The class implementation of the method has no functionality. You must override the method in a class derived from to provide your own rendering functionality. For example, in a markup language that might require <p> elements to be rendered immediately ahead of a control, but where the need for the <p> element is determined earlier, you could use the override.

  Notifies an object, or an object of a derived class, that a control is about to be rendered.

- Method
  System.Void

  This implementation of the method calls the base method.

  Following a call to the method, any operations on the object might throw exceptions because all its resources have been released.

  Closes the object and releases any system resources associated with it.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The single tab is represented by the ASCII 9 character.

  Represents a single tab character.

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  The field is used by the method to close an attribute.

  Represents the quotation mark (") character.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` ``

  Use the overload of the method if the attribute is not an enumeration value or is not known until run time.

  The method removes double quotation marks ("), ampersands (&), and less than signs (<) so that invalid tags are not generated, regardless of the input. The actual encoding is performed by the method.

  Encodes the value of the specified markup attribute based on the requirements of the object of the current context.

  A string containing the encoded attribute value, null if is empty, or the unencoded attribute value if is false.

  A string containing the attribute value to encode. true to encode the attribute value; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.String `` ``

  The method removes double quotation marks ("), ampersands (&), and less than signs (<) so that invalid tags are not generated, regardless of the input. The actual encoding is performed by the method.

  Encodes the value of the specified markup attribute based on the requirements of the object of the current context.

  A string containing the encoded attribute value.

  An representing the markup attribute. A string containing the attribute value to encode. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  URL encoding of a character consists of a percent symbol (%), followed by the two-digit hexadecimal representation (case-insensitive) of the ISO-Latin code point for the character. The hexadecimal representation of a space is 20.

  Performs minimal URL encoding by converting spaces in the specified URL to the string "%20".

  A string containing the encoded URL.

  A string containing the URL to encode. 1.0.5000.0 2.0.0.0
- Property
  System.Text.Encoding a

  The property obtains its value from the base object.

  Gets the encoding that the object uses to write content to the page.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void

  The class implementation of the method has no functionality. You must override in a class derived from the class to provide your own rendering functionality.

  You can use the method to close any markup elements opened in the method.

  Notifies an object, or an object of a derived class, that a control has finished rendering. You can use this method to close any markup elements opened in the method.

- Field
  System.String

  The field is used by the method to construct markup element end tags.

  Represents the left angle bracket and slash mark (</) of the closing tag of a markup element.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  Use the method to apply styles, such as background color or border width, to a block of markup.

  The and methods allow a device adapter or control to create markup that uses the character formatting of the specified style. Use the same value for in the method that you use in the corresponding method.

  The overload of the method renders the opening tag of a <span> element. This method then adds the necessary attributes and style attributes to the opening tag of the <span> element to display the settings specified by the object. If you want to render a different markup element to contain the attributes and style attributes, use the overload.

  Writes the opening tag of a <span> element that contains attributes that implement the layout and character formatting of the specified style.

  A that specifies the layout and formatting to begin applying to the block of markup.
- Method
  2.0.0.0
  System.Void `` ``

  Use the method to apply styles, such as background color or border width, to a block of markup.

  The and methods allow a device adapter or control to create markup that uses the character formatting of the specified style. Use the same value for in the method that you use in the corresponding method.

  The overload of the method renders the opening tag of the element specified by the parameter. The method then adds the necessary attributes and style attributes to the opening tag of the element to display the settings that are specified by the object. Use the overload to render the opening tag of a <span> element.

  Writes the opening tag of a markup element that contains attributes that implement the layout and character formatting of the specified style.

  A that specifies the layout and formatting to begin applying to the block of markup. An that specifies the opening tag of the markup element that will contain the style object specified in .
- Field
  System.Char

  You might want to use the field instead of the field when constructing the opening delimiter of an attribute value.

  Represents the equal sign (=).

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The field is used by the and methods to construct the opening delimiter of attribute values.

  Represents an equal sign (=) and a double quotation mark (") together in a string (=").

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The overload of the method renders the closing tag of a <span> element after the closing tag of the control, closing the element opened by the corresponding call.

  The and methods allow a device adapter or control to create markup that begins and ends a block by using the character formatting of the specified style. Use the same value for in the method that you use in the corresponding method.

  Writes the closing tag of a <span> element to end the specified layout and character formatting.

  A that specifies the layout and formatting to close.
- Method
  2.0.0.0
  System.Void `` ``

  The overload of the method renders the closing tag of the element that is specified by after the closing tag of the control, closing the element that was opened by the corresponding method call.

  The and methods allow a device adapter or control to create markup that begins and ends a block by using the character formatting of the specified style. Use the same value for in the method that you use in the corresponding method.

  Writes the closing tag of the specified markup element to end the specified layout and character formatting.

  A that specifies the layout and formatting to stop applying to the output text. An that specifies the closing tag of the markup element that contained the attributes that applied the specified style. This must match the key passed in the corresponding call.
- Method
  System.Void

  Before attributes are rendered on a markup element, the method is called. In turn, the method calls the and methods for each attribute and style to render.

  Removes all the markup and style attributes on all properties of the page or Web server control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The class implementation of the method just calls the base method.

  Clears all buffers for the current object and causes any buffered data to be written to the output stream.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.HtmlTextWriterAttribute ``

  If is null or an empty string (""), or cannot be found in the table of attribute names, the value -1, typed to an object, is returned.

  Obtains the corresponding enumeration value for the specified attribute.

  The enumeration value for the specified attribute; otherwise, an invalid value if the attribute is not a member of the enumeration.

  A string that contains the attribute for which to obtain the . 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  The method returns an empty string (""), if is not a valid value.

  Obtains the name of the markup attribute associated with the specified value.

  A string containing the name of the markup attribute.

  The to obtain the markup attribute name for. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.HtmlTextWriterStyle ``

  The method returns the value -1 typed as a value, if does not correspond to any enumeration value.

  Obtains the enumeration value for the specified style.

  The enumeration value corresponding to .

  The style attribute for which to obtain the . 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  If is not a valid object, the method returns an empty string ("").

  Obtains the markup style attribute name associated with the specified enumeration value.

  The style attribute name associated with the enumeration value specified in .

  The to obtain the style attribute name for. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.HtmlTextWriterTag ``

  If is null, an empty string (""), or cannot be found in the table of markup tag names, the method returns the field.

  Obtains the enumeration value associated with the specified markup element.

  The enumeration value; otherwise, if is not associated with a specific value, .

  The markup element for which to obtain the . 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  If is not a valid value, the method returns an empty string ("").

  Obtains the markup element associated with the specified enumeration value.

  A string representing the markup element.

  The to obtain the markup element for. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Indentation is performed by writing the string that is specified by the parameter of the constructor the number of times that are specified by the property.

  If the property is set to a negative value, it is changed to 0 before being saved.

  Gets or sets the number of tab positions to indent the beginning of each line of markup.

  1.0.5000.0
  2.0.0.0
- Property
  System.IO.TextWriter a

  Inner markup content is the text found between the opening and closing tags of a markup language element.

  If the property is set to a object that is an instance of the class, this fact is noted and a separate reference is saved.

  Gets or sets the text writer that writes the inner content of the markup element.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  To obtain the value to be assigned to the object, use the overload instead of this one.

  Determines whether the specified markup attribute and its value are rendered during the next call to the method.

  true if the attribute is rendered during the next call to the method; otherwise, false.

  The associated with the markup attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  To get the value that will be rendered with the specified style attribute, use the overload of the method.

  Determines whether the specified markup style attribute is rendered during the next call to the method.

  true if the attribute will be rendered during the next call to the method; otherwise, false.

  The associated with the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Boolean ``

  The class implementation of the method returns true for all attributes. Override the to limit the attributes that can be rendered in the opening tag of a <form> element.

  Checks an attribute to ensure that it can be rendered in the opening tag of a <form> markup element.

  Always true.

  A string that contains the name of the attribute to check.
- Property
  System.String a

  The default line terminator string is a carriage return, followed by a line feed ("\r\n").

  The line terminator string is written to the output stream whenever one of the methods is called. If the property is set to null, the default new line character is used.

  Gets or sets the line terminator string used by the object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` ``

  The class implementation of the method always returns true. The overrides can determine whether an attribute will be rendered to the page.

  Determines whether the specified markup attribute and its value can be rendered to the current markup element.

  Always true.

  A string containing the name of the attribute to render. A string containing the value that is assigned to the attribute. The associated with the markup attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  The class implementation of the method always returns true. The overrides can determine whether a style attribute will be rendered to the page.

  Determines whether the specified markup style attribute and its value can be rendered to the current markup element.

  Always true.

  A string containing the name of the style attribute to render. A string containing the value that is assigned to the style attribute. The associated with the style attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The class implementation of the method always returns true. The overrides can determine whether an element will be rendered to the page.

  Determines whether the specified markup element will be rendered to the requesting page.

  Always true.

  A string containing the name of the element to render. The associated with the element. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method uses the property to determine how many tab strings to write to obtain the desired indentation.

  The tab string is specified with the constructor. If no tab string is specified, the constant (\t) is used.

  Writes a series of tab strings that represent the indentation level for a line of markup characters.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Elements are added to the list of rendered markup elements by the method. The method removes markup elements from the list by calling the method.

  Removes the most recently saved markup element from the list of rendered elements.

  A containing the most recently rendered markup element.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Elements are added to the list of rendered markup elements when the method calls the method. The method removes markup elements from the list after it renders the end tag for the element.

  Saves the specified markup element for later use when generating the end tag for a markup element.

  The closing tag of the markup element. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The predefined attributes of the HTML markup language are registered by calls to the method when the first object is created. Dynamic attributes can be registered by using the method at other times.

  The registration table used by the method is static, so registration of attributes applies to all objects on the host computer.

  Registers markup attributes, whether literals or dynamically generated, from the source file so that they can be properly rendered to the requesting client.

  A string containing the name of the markup attribute to register. An that corresponds with the attribute name. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The predefined cascading style sheet (CSS) attributes of the HTML markup language are registered by calls to the method when the first object is created. Dynamic style attributes can be registered by using the method at other times.

  The registration table used by the method is static, so registration of attributes applies to all objects on the host computer.

  Registers markup style properties, whether literals or dynamically generated, from the source file so that they can be properly rendered to the requesting client.

  The string passed from the source file specifying the style name. The that corresponds with the specified style. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The predefined markup tags of the HTML language are registered by calls to the method when the first object is created. Dynamic markup tags can be registered by using the method at other times.

  The registration table used by the method is static, so registration of tags applies to all objects on the host computer.

  Registers markup tags, whether literals or dynamically generated, from the source file so that they can be properly rendered to the requesting client.

  A string that contains the HTML tag. An that specifies which element to render. 1.0.5000.0 2.0.0.0
- Method
  System.String

  The method can be useful if you want to insert child elements into the current markup element.

  Writes any text or spacing that occurs after the content and before the closing tag of the markup element to the markup output stream.

  A string that contains the spacing or text to write after the content of the element.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  The method can be useful if you want to render additional closing tags after the element tag.

  Writes any spacing or text that occurs after the closing tag for a markup element.

  The spacing or text to write after the closing tag of the element.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  The method can be useful if you want to insert child elements into the current markup element before the inner markup.

  Writes any text or spacing before the content and after the opening tag of a markup element.

  The text or spacing to write prior to the content of the element. If not overridden, returns null.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  The method can be useful if you want to render additional opening tags before the opening tag of the intended element.

  Writes any text or spacing that occurs before the opening tag of a markup element.

  The text or spacing to write before the markup element opening tag. If not overridden, null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Use the override of the method, if the markup element is not one of the enumeration values.

  To generate a markup element by using the method, first call the and the methods, as necessary, to specify any element attributes or style attributes that are to appear in the opening tag of the element. After generating the inner markup, call the method to generate the closing tag.

  Writes the opening tag of the specified markup element to the output stream.

  A string containing the name of the markup element for which to render the opening tag. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the overload of the method if the markup element is of a known type that is one of the enumeration values.

  To generate a markup element by using the method, first call the and the methods, as necessary, to specify any element attributes or style attributes that are to appear in the opening tag of the element. After generating the inner markup, call the method to generate the closing tag.

  Writes the opening tag of the markup element associated with the specified enumeration value to the output stream.

  One of the values that defines the opening tag of the markup element to render. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Call the method after the overload is called and after all content between the opening and closing tags (inner markup) of the element has been rendered.

  Writes the end tag of a markup element to the output stream.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The field is used in markup elements that are self-closed. For example:

  <input type="submit" value="go" />

  Represents a space and the self-closing slash mark (/) of a markup tag.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The field is used by the method when constructing self-closing markup elements.

  Represents the closing slash mark and right angle bracket (/>) of a self-closing markup element.

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  Pass the field as the parameter argument in a method call when you want to render a semicolon from a custom control or adapter.

  Represents the semicolon (;).

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  Use the field when it is necessary to render an apostrophe.

  Represents an apostrophe (').

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  Use the field to render the slash marks when you write a URL. The method uses the field when writing the closing tag of a markup element.

  Represents the slash mark (/).

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  The field is used by the and methods when writing separators between elements and attributes.

  Represents a space ( ) character.

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  The field is used by the method to delimit style names and values.

  Represents the style equals (:) character used to set style attributes equal to values.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.HtmlTextWriterTag To be added: an object of type 'HtmlTextWriterTag'

  The property is of use only to classes that inherit from the class. You should read or set the property only in a call to the method; this is the only time it is set to a consistent value.

  Gets or sets the value for the specified markup element.

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  The field is used by the , , , and methods when writing markup tags.

  Represents the opening angle bracket (<) of a markup tag.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The property is of use only to classes that inherit from the class. You should read or set the property only in method calls; this is the only time it is set to a consistent value.

  Gets or sets the tag name of the markup element being rendered.

  1.0.5000.0
  2.0.0.0
- Field
  System.Char

  The field is used by the , , and methods when writing markup tags.

  Represents the closing angle bracket (>) of a markup tag.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a Boolean value to the output stream, along with any pending tab spacing.

  The to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a Unicode character to the output stream, along with any pending tab spacing.

  The Unicode character to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of an array of Unicode characters to the output stream, along with any pending tab spacing.

  The array of Unicode characters to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a double-precision floating-point number to the output stream, along with any pending tab spacing.

  The double-precision floating-point number to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a 32-byte signed integer to the output stream, along with any pending tab spacing.

  The 32-byte signed integer to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a 64-byte signed integer to the output stream, along with any pending tab spacing.

  The 64-byte signed integer to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of an object to the output stream, along with any pending tab spacing.

  The object to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a single-precision floating-point number to the output stream, along with any pending tab spacing.

  The single-precision floating-point number to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the specified string to the output stream, along with any pending tab spacing.

  The string to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes a tab string and a formatted string to the output stream, using the same semantics as the method, along with any pending tab spacing.

  A string that contains zero or more format items. An object to format. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `System.ParamArray` To be added.

  The method generates any tabs that are pending, and then calls the base method.

  Writes a formatted string that contains the text representation of an object array to the output stream, along with any pending tab spacing. This method uses the same semantics as the method.

  A string that contains zero or more format items. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes the text representation of a subarray of Unicode characters to the output stream, along with any pending tab spacing.

  The array of characters from which to write text to the output stream. The index location in the array where writing begins. The number of characters to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The method generates any tabs that are pending, and then calls the base method.

  Writes a formatted string that contains the text representation of two objects to the output stream, along with any pending tab spacing. This method uses the same semantics as the method.

  A string that contains zero or more format items. An object to format. An object to format. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use the method to write markup attributes and their values with no encoding. The method writes the attribute value enclosed in double quotation marks ("). If is null, the method writes only the attribute name.

  Writes the specified markup attribute and value to the output stream.

  The attribute to write to the output stream. The value assigned to the attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Use the method to write markup attributes and their values with or without encoding. The method uses the method to do the encoding.

  The method writes the attribute value enclosed in double quotation marks ("). If is null, the method writes only the attribute name.

  Writes the specified markup attribute and value to the output stream, and, if specified, writes the value encoded.

  The markup attribute to write to the output stream. The value assigned to the attribute. true to encode the attribute and its assigned value; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method does not write the closing angle bracket (>) of the markup element's opening tag. This allows the writing of markup attributes to the opening tag of the element. Use the constant to close the opening tag when calling the method. Use the method with the constant when you write markup elements that are self-closing.

  The method is used by custom server controls that do not allow tag or attribute mapping and render markup elements in the same way for each request.

  Writes any tab spacing and the opening tag of the specified markup element to the output stream.

  The markup element of which to write the opening tag. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  Use the method to render line breaks in custom control or adapter markup. The method writes a space between the br and / for improved HTML compatibility.

  Writes a <br /> markup element to the output stream.

- Method
  2.0.0.0
  System.Void ``

  Use the method when a string contains angle brackets (< or >) or an ampersand (&).

  The method uses the method to perform the encoding and also converts Unicode character 00A0 to &nbsp;.

  Encodes the specified text for the requesting device, and then writes it to the output stream.

  The text string to encode and write to the output stream.
- Method
  2.0.0.0
  System.Void ``

  The method encodes the string in the parameter in accordance with the specification for URL encoding. The parameters that follow the question mark (?) delimiter are not encoded.

  Encodes the specified URL, and then writes it to the output stream. The URL might include parameters.

  The URL string to encode and write to the output stream.
- Method
  2.0.0.0
  System.Void ``

  Spaces in the parameter part of a URL are encoded as plus signs (+), and equal signs (=) are encoded as %3d.

  Encodes the specified URL parameter for the requesting device, and then writes it to the output stream.

  The URL parameter string to encode and write to the output stream.
- Method
  System.Void ``

  Unlike the method, the method has no logic to make the element end tag match the corresponding opening tag.

  Writes any tab spacing and the closing tag of the specified markup element.

  The element to write the closing tag for. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method automatically writes the closing angle bracket (>) of the opening tag of the element, unlike the method, which does not write the closing angle bracket. Use for markup elements that have no attributes.

  Writes any tab spacing and the opening tag of the specified markup element to the output stream.

  The element to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). For more information, see .

  Writes a line terminator string to the output stream.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of a Boolean value, followed by a line terminator string, to the output stream.

  The Boolean to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and a Unicode character, followed by a line terminator string, to the output stream.

  The character to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and an array of Unicode characters, followed by a line terminator string, to the output stream.

  The character array to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of a double-precision floating-point number, followed by a line terminator string, to the output stream.

  The double-precision floating-point number to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of a 32-byte signed integer, followed by a line terminator string, to the output stream.

  The 32-byte signed integer to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of a 64-byte signed integer, followed by a line terminator string, to the output stream.

  The 64-byte signed integer to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of an object, followed by a line terminator string, to the output stream.

  The object to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of a single-precision floating-point number, followed by a line terminator string, to the output stream.

  The single-precision floating point number to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and a text string, followed by a line terminator string, to the output stream.

  The string to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and the text representation of a 4-byte unsigned integer, followed by a line terminator string, to the output stream.

  The 4-byte unsigned integer to write to the output stream. 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The method uses the same semantics as the method. The base method is used to write the parameter.

  Writes any pending tab spacing and a formatted string containing the text representation of an object, followed by a line terminator string, to the output stream.

  A string containing zero or more format items. An object to format. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `System.ParamArray` To be added.

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The method uses the same semantics as the method. The base method is used to write the method.

  Writes any pending tab spacing and a formatted string that contains the text representation of an object array, followed by a line terminator string, to the output stream.

  A string containing zero or more format items. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes any pending tab spacing and a subarray of Unicode characters, followed by a line terminator string, to the output stream.

  The character array from which to write text to the output stream. The location in the character array where writing begins. The number of characters in the array to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The method uses the same semantics as the method. The base method is used to write the parameter.

  Writes any pending tab spacing and a formatted string that contains the text representation of two objects, followed by a line terminator string, to the output stream.

  A string containing zero or more format items. An object to format. An object to format. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use the method rather than the method when you do not want to render any tab spacing ahead of the rendered string .

  The default line terminator string is a carriage return followed by a line feed ("\r\n"). The base method is used to write the parameter.

  Writes a string, followed by a line terminator string, to the output stream. This method ignores any specified tab spacing.

  The string to write to the output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The method writes the style attribute in the following form:

  =;

  Writes the specified style attribute to the output stream.

  The style attribute to write to the output stream. The value assigned to the style attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The method writes the style attribute in the following form:

  =;

  The method is used to encode the parameter.

  Writes the specified style attribute and value to the output stream, and encodes the value, if specified.

  The style attribute to write to the output stream. The value assigned to the style attribute. true to encode the style attribute and its assigned value; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  The method encodes characters that could be considered URL delimiters (dependent on the setting of ) into strings of the form %, if the ASCII code is less than 128; otherwise, %u, where is a hexadecimal digit.

  The and methods use the method as a utility method.

  Writes the specified string, encoding it according to URL requirements.

  The string to encode and write to the output stream. true to encode the string as a part of the parameter section of the URL; false to encode the string as part of the path section of the URL.